<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: DateTime Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="class_date_time-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DateTime Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7b62c794fe7f862f978f2f585be7483f"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a7b62c794fe7f862f978f2f585be7483f">DateTime</a> (in varargin)</td></tr>
<tr class="separator:a7b62c794fe7f862f978f2f585be7483f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3982f644baefb395d56fdb141b41bdc7"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a3982f644baefb395d56fdb141b41bdc7">plus</a> (in this, in val)</td></tr>
<tr class="separator:a3982f644baefb395d56fdb141b41bdc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a161bf548fe694597ac50db4218c74fbe"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a161bf548fe694597ac50db4218c74fbe">minus</a> (in this, in val)</td></tr>
<tr class="separator:a161bf548fe694597ac50db4218c74fbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66aab881b027dfd286b1dbf8443a93de"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a66aab881b027dfd286b1dbf8443a93de">times</a> (in this, in val)</td></tr>
<tr class="separator:a66aab881b027dfd286b1dbf8443a93de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac55a1f6c1d6bfff9e85d01051a2ed8d5"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#ac55a1f6c1d6bfff9e85d01051a2ed8d5">mtimes</a> (in this, in val)</td></tr>
<tr class="separator:ac55a1f6c1d6bfff9e85d01051a2ed8d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefcb605312392e406e1da4f64cbfe420"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#aefcb605312392e406e1da4f64cbfe420">mrdivide</a> (in this, in val)</td></tr>
<tr class="separator:aefcb605312392e406e1da4f64cbfe420"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18e7bea94d54da59aa2e78ace6f9d0b3"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a18e7bea94d54da59aa2e78ace6f9d0b3">rdivide</a> (in this, in val)</td></tr>
<tr class="separator:a18e7bea94d54da59aa2e78ace6f9d0b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a014be25af640afc48eeff0adce908236"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a014be25af640afc48eeff0adce908236">horzcat</a> (in this, in varargin)</td></tr>
<tr class="separator:a014be25af640afc48eeff0adce908236"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fd9bed0ee545f66b42585071df4f41f"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a1fd9bed0ee545f66b42585071df4f41f">colon</a> (in this, in step, in to)</td></tr>
<tr class="separator:a1fd9bed0ee545f66b42585071df4f41f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fc97af5ab4a11686f9a3e274838fa20"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a9fc97af5ab4a11686f9a3e274838fa20">vertcat</a> (in this, in varargin)</td></tr>
<tr class="separator:a9fc97af5ab4a11686f9a3e274838fa20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fecb0703d2b528c67574f265aed6a4a"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a6fecb0703d2b528c67574f265aed6a4a">ctranspose</a> (in this)</td></tr>
<tr class="separator:a6fecb0703d2b528c67574f265aed6a4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2346761f958b1f08c0a87643384c85f2"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a2346761f958b1f08c0a87643384c85f2">transpose</a> (in this)</td></tr>
<tr class="separator:a2346761f958b1f08c0a87643384c85f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae11edba9e77ac46c5b92c50fa573085e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#ae11edba9e77ac46c5b92c50fa573085e">disp</a> (in this)</td></tr>
<tr class="separator:ae11edba9e77ac46c5b92c50fa573085e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30a355433f73084cce0bfa1fc9dac723"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a30a355433f73084cce0bfa1fc9dac723">double</a> (in this)</td></tr>
<tr class="separator:a30a355433f73084cce0bfa1fc9dac723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8b9f0e465948e5e6dda96ad6c2d9c03"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#ab8b9f0e465948e5e6dda96ad6c2d9c03">length</a> (in this)</td></tr>
<tr class="separator:ab8b9f0e465948e5e6dda96ad6c2d9c03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeccc836f8276b74958b1a98d1f5c17aa"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#aeccc836f8276b74958b1a98d1f5c17aa">size</a> (in this, in varargin)</td></tr>
<tr class="separator:aeccc836f8276b74958b1a98d1f5c17aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6954495b90a6807a5ee8b22fa0df993e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a6954495b90a6807a5ee8b22fa0df993e">numel</a> (in this)</td></tr>
<tr class="separator:a6954495b90a6807a5ee8b22fa0df993e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab827176c3d55f96aa17f112fedeff29e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#ab827176c3d55f96aa17f112fedeff29e">isreal</a> (in this)</td></tr>
<tr class="separator:ab827176c3d55f96aa17f112fedeff29e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba04460b5366cf85084d9ed53ba6b60a"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#aba04460b5366cf85084d9ed53ba6b60a">isnan</a> (in this)</td></tr>
<tr class="separator:aba04460b5366cf85084d9ed53ba6b60a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cb1f1b8a1eab088c681bfe2bb3277c8"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a0cb1f1b8a1eab088c681bfe2bb3277c8">isfinite</a> (in this)</td></tr>
<tr class="separator:a0cb1f1b8a1eab088c681bfe2bb3277c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac95d705d447312650587c68c5e5cb5d9"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#ac95d705d447312650587c68c5e5cb5d9">le</a> (in this, in B)</td></tr>
<tr class="separator:ac95d705d447312650587c68c5e5cb5d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9648838c75055415714a7cef02a191fc"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a9648838c75055415714a7cef02a191fc">lt</a> (in this, in B)</td></tr>
<tr class="separator:a9648838c75055415714a7cef02a191fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89615c6ca072b6af71b3261e32e56789"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a89615c6ca072b6af71b3261e32e56789">gt</a> (in this, in B)</td></tr>
<tr class="separator:a89615c6ca072b6af71b3261e32e56789"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeeefbdb4c2057a180114a02bd763411"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#abeeefbdb4c2057a180114a02bd763411">eq</a> (in this, in B)</td></tr>
<tr class="separator:abeeefbdb4c2057a180114a02bd763411"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abed1a43c6d15e09a7a0546358dae6f8f"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#abed1a43c6d15e09a7a0546358dae6f8f">diff</a> (in this)</td></tr>
<tr class="separator:abed1a43c6d15e09a7a0546358dae6f8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b78d5c33cfa8de751e2a0e5f28eee27"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a4b78d5c33cfa8de751e2a0e5f28eee27">norm</a> (in this, in varargin)</td></tr>
<tr class="separator:a4b78d5c33cfa8de751e2a0e5f28eee27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a606e4017152ca0117e1782d7b79aa29a"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a606e4017152ca0117e1782d7b79aa29a">sort</a> (in this, in varargin)</td></tr>
<tr class="separator:a606e4017152ca0117e1782d7b79aa29a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c345ea7a6b849e917541e75d3177af5"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a2c345ea7a6b849e917541e75d3177af5">subsref</a> (in this, in S)</td></tr>
<tr class="separator:a2c345ea7a6b849e917541e75d3177af5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23d4bae6806ca5dc707bb0d4ffd0498e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a23d4bae6806ca5dc707bb0d4ffd0498e">subsindex</a> (in this)</td></tr>
<tr class="separator:a23d4bae6806ca5dc707bb0d4ffd0498e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac670497161c78a909c4c4756e720ebff"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#ac670497161c78a909c4c4756e720ebff">end</a> (in this, in k, in n)</td></tr>
<tr class="separator:ac670497161c78a909c4c4756e720ebff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a484fb937988de208da9fe3fa3aab5d78"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a484fb937988de208da9fe3fa3aab5d78">subsasgn</a> (in this, in S, in B)</td></tr>
<tr class="separator:a484fb937988de208da9fe3fa3aab5d78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad00ad9f98ca7964e1bae59eb50d7737e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#ad00ad9f98ca7964e1bae59eb50d7737e">bsxfun</a> (in fun, in A, in B)</td></tr>
<tr class="separator:ad00ad9f98ca7964e1bae59eb50d7737e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ee3923e7138643a740373a56599dfbf"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a4ee3923e7138643a740373a56599dfbf">superiorfloat</a> (in x, in y, in xi)</td></tr>
<tr class="separator:a4ee3923e7138643a740373a56599dfbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab09f25f0fcf0f083977dbedcaf976f0d"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#ab09f25f0fcf0f083977dbedcaf976f0d">floor</a> (in this)</td></tr>
<tr class="separator:ab09f25f0fcf0f083977dbedcaf976f0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae5de00a4c6fca8dc10e33f45224abb8"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#aae5de00a4c6fca8dc10e33f45224abb8">max</a> (in this, in varargin)</td></tr>
<tr class="separator:aae5de00a4c6fca8dc10e33f45224abb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f3a108bd57926d8d66c467c10eb51c9"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a9f3a108bd57926d8d66c467c10eb51c9">min</a> (in this, in varargin)</td></tr>
<tr class="separator:a9f3a108bd57926d8d66c467c10eb51c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade71d395751043811f3d4bbe80cc6fc9"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#ade71d395751043811f3d4bbe80cc6fc9">datestr</a> (in this, in varargin)</td></tr>
<tr class="separator:ade71d395751043811f3d4bbe80cc6fc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6732a52b45c3e485bf0d1dc1ef689463"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a6732a52b45c3e485bf0d1dc1ef689463">addtodate</a> (in this, in varargin)</td></tr>
<tr class="separator:a6732a52b45c3e485bf0d1dc1ef689463"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4e22a86cd0de5c7007a56f6d0509c26"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#af4e22a86cd0de5c7007a56f6d0509c26">datevec</a> (in this, in varargin)</td></tr>
<tr class="separator:af4e22a86cd0de5c7007a56f6d0509c26"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ab20dd2e5eacfbe64ae55f960ce949fa1"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#ab20dd2e5eacfbe64ae55f960ce949fa1">serialDate</a></td></tr>
<tr class="separator:ab20dd2e5eacfbe64ae55f960ce949fa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a7eebb9bba378c76696b6347000d50ac4"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_date_time.html#a7eebb9bba378c76696b6347000d50ac4">doFun</a> (in this, in o, in val)</td></tr>
<tr class="separator:a7eebb9bba378c76696b6347000d50ac4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7b62c794fe7f862f978f2f585be7483f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b62c794fe7f862f978f2f585be7483f">&#9670;&nbsp;</a></span>DateTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function <a class="el" href="class_date_time.html">DateTime</a> </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>varargin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6732a52b45c3e485bf0d1dc1ef689463"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6732a52b45c3e485bf0d1dc1ef689463">&#9670;&nbsp;</a></span>addtodate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function addtodate </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>varargin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad00ad9f98ca7964e1bae59eb50d7737e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad00ad9f98ca7964e1bae59eb50d7737e">&#9670;&nbsp;</a></span>bsxfun()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function bsxfun </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>fun</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>B</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1fd9bed0ee545f66b42585071df4f41f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fd9bed0ee545f66b42585071df4f41f">&#9670;&nbsp;</a></span>colon()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function colon </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>step</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>to</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6fecb0703d2b528c67574f265aed6a4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fecb0703d2b528c67574f265aed6a4a">&#9670;&nbsp;</a></span>ctranspose()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function ctranspose </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ade71d395751043811f3d4bbe80cc6fc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade71d395751043811f3d4bbe80cc6fc9">&#9670;&nbsp;</a></span>datestr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function datestr </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>varargin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af4e22a86cd0de5c7007a56f6d0509c26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4e22a86cd0de5c7007a56f6d0509c26">&#9670;&nbsp;</a></span>datevec()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function datevec </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>varargin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abed1a43c6d15e09a7a0546358dae6f8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abed1a43c6d15e09a7a0546358dae6f8f">&#9670;&nbsp;</a></span>diff()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function diff </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae11edba9e77ac46c5b92c50fa573085e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae11edba9e77ac46c5b92c50fa573085e">&#9670;&nbsp;</a></span>disp()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function disp </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7eebb9bba378c76696b6347000d50ac4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7eebb9bba378c76696b6347000d50ac4">&#9670;&nbsp;</a></span>doFun()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">function doFun </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a30a355433f73084cce0bfa1fc9dac723"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30a355433f73084cce0bfa1fc9dac723">&#9670;&nbsp;</a></span>double()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function double </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac670497161c78a909c4c4756e720ebff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac670497161c78a909c4c4756e720ebff">&#9670;&nbsp;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function end </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>n</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abeeefbdb4c2057a180114a02bd763411"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abeeefbdb4c2057a180114a02bd763411">&#9670;&nbsp;</a></span>eq()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function eq </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>B</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab09f25f0fcf0f083977dbedcaf976f0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab09f25f0fcf0f083977dbedcaf976f0d">&#9670;&nbsp;</a></span>floor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function floor </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a89615c6ca072b6af71b3261e32e56789"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89615c6ca072b6af71b3261e32e56789">&#9670;&nbsp;</a></span>gt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function gt </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>B</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a014be25af640afc48eeff0adce908236"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a014be25af640afc48eeff0adce908236">&#9670;&nbsp;</a></span>horzcat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function horzcat </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>varargin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0cb1f1b8a1eab088c681bfe2bb3277c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cb1f1b8a1eab088c681bfe2bb3277c8">&#9670;&nbsp;</a></span>isfinite()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function isfinite </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba04460b5366cf85084d9ed53ba6b60a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba04460b5366cf85084d9ed53ba6b60a">&#9670;&nbsp;</a></span>isnan()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function isnan </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab827176c3d55f96aa17f112fedeff29e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab827176c3d55f96aa17f112fedeff29e">&#9670;&nbsp;</a></span>isreal()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function isreal </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac95d705d447312650587c68c5e5cb5d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac95d705d447312650587c68c5e5cb5d9">&#9670;&nbsp;</a></span>le()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function le </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>B</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab8b9f0e465948e5e6dda96ad6c2d9c03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8b9f0e465948e5e6dda96ad6c2d9c03">&#9670;&nbsp;</a></span>length()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function length </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9648838c75055415714a7cef02a191fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9648838c75055415714a7cef02a191fc">&#9670;&nbsp;</a></span>lt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function lt </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>B</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aae5de00a4c6fca8dc10e33f45224abb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae5de00a4c6fca8dc10e33f45224abb8">&#9670;&nbsp;</a></span>max()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function max </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>varargin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9f3a108bd57926d8d66c467c10eb51c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f3a108bd57926d8d66c467c10eb51c9">&#9670;&nbsp;</a></span>min()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function min </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>varargin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a161bf548fe694597ac50db4218c74fbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a161bf548fe694597ac50db4218c74fbe">&#9670;&nbsp;</a></span>minus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function minus </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aefcb605312392e406e1da4f64cbfe420"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefcb605312392e406e1da4f64cbfe420">&#9670;&nbsp;</a></span>mrdivide()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function mrdivide </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac55a1f6c1d6bfff9e85d01051a2ed8d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac55a1f6c1d6bfff9e85d01051a2ed8d5">&#9670;&nbsp;</a></span>mtimes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function mtimes </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b78d5c33cfa8de751e2a0e5f28eee27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b78d5c33cfa8de751e2a0e5f28eee27">&#9670;&nbsp;</a></span>norm()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function norm </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>varargin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6954495b90a6807a5ee8b22fa0df993e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6954495b90a6807a5ee8b22fa0df993e">&#9670;&nbsp;</a></span>numel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function numel </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3982f644baefb395d56fdb141b41bdc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3982f644baefb395d56fdb141b41bdc7">&#9670;&nbsp;</a></span>plus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function plus </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a18e7bea94d54da59aa2e78ace6f9d0b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18e7bea94d54da59aa2e78ace6f9d0b3">&#9670;&nbsp;</a></span>rdivide()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function rdivide </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeccc836f8276b74958b1a98d1f5c17aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeccc836f8276b74958b1a98d1f5c17aa">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function size </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>varargin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a606e4017152ca0117e1782d7b79aa29a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a606e4017152ca0117e1782d7b79aa29a">&#9670;&nbsp;</a></span>sort()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function sort </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>varargin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a484fb937988de208da9fe3fa3aab5d78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a484fb937988de208da9fe3fa3aab5d78">&#9670;&nbsp;</a></span>subsasgn()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function subsasgn </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>S</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>B</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a23d4bae6806ca5dc707bb0d4ffd0498e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23d4bae6806ca5dc707bb0d4ffd0498e">&#9670;&nbsp;</a></span>subsindex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function subsindex </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2c345ea7a6b849e917541e75d3177af5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c345ea7a6b849e917541e75d3177af5">&#9670;&nbsp;</a></span>subsref()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function subsref </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>S</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4ee3923e7138643a740373a56599dfbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ee3923e7138643a740373a56599dfbf">&#9670;&nbsp;</a></span>superiorfloat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function superiorfloat </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>xi</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a66aab881b027dfd286b1dbf8443a93de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66aab881b027dfd286b1dbf8443a93de">&#9670;&nbsp;</a></span>times()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function times </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2346761f958b1f08c0a87643384c85f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2346761f958b1f08c0a87643384c85f2">&#9670;&nbsp;</a></span>transpose()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function transpose </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9fc97af5ab4a11686f9a3e274838fa20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fc97af5ab4a11686f9a3e274838fa20">&#9670;&nbsp;</a></span>vertcat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function vertcat </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>this</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>varargin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab20dd2e5eacfbe64ae55f960ce949fa1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab20dd2e5eacfbe64ae55f960ce949fa1">&#9670;&nbsp;</a></span>serialDate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property serialDate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>Utils/yamlmatlab/<a class="el" href="_date_time_8m.html">DateTime.m</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
